Sha1 en tu aplicacion

Hola estoy leyendo un tutorial sobre como hacer un sistema de
autentificacion para una aplicación. Ya hevisto que existen plugins muy
buenos(creo) como
Acts_as_authenticated , pero quiero, primero hacer este tuto ya que
destripa
un poco todo esto de la autentificación. Bueno al tema. mi problema es
que
en el modelo me pide que ponga esto
require ‘digest/sha1’ que debe de ser para la codificación-encriptación
del
password que se le pasa. Lo que me gustaría saber es por que me suelta
este
error cuando hago una
prueba de unidad sobre este modelo:
/usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
`gem_original_require’: es porque lo del sha1 es una Gema o un plugin o
que
‘demonios’ es.
lo que estoy casi seguro es de que me falta.

Resumen de mi duda:
-¿Que es sha1: plugin, gema,…?
-¿que hay que hacer para conseguirlo?

por cierto esl tutorial es este, para el que quiera aprender de esto:
http://www.aidanf.net/rails_user_authentication_tutorial

Muchas gracias por estar ahí. Este es un lenguaje y un framework que te
engancha y me alegra saber que hay mas ‘enganchados’

Un saludo

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs